Suite MAJ 9.0.3 vers 10.0.0

Bonjour j ai fait un MAJ de la version 9.0.3 vers la 10.0.0

et quand je valide un avoir client voici le message d erreur

Dolibarr a détecté une erreur technique.
You use an experimental or develop level of features, so please do NOT report any bugs, except if problem is confirmed moving option MAIN_FEATURES_LEVEL back to 0.
Voici les informations qui pourront aider au diagnostic (Vous pouvez fixer l’option $dolibarr_main_prod sur ‹ 1 › pour supprimer quelques notifications):
Date: 20190703162100
Dolibarr: 10.0.0
Niveau de fonctionnalités: 2
PHP: 7.2.19-0ubuntu0.18.04.1
Server: Apache
OS: Linux srv-crm 4.15.0-52-generic #56-Ubuntu SMP Tue Jun 4 22:49:08 UTC 2019 x86_64
UserAgent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/75.0.3770.100 Safari/537.36

Url sollicitée: /compta/facture/card.php?facid=5228&action=confirm_valid&confirm=yes&token=f6e8d1b07b4a08fd71893139c9a2a3c5
Referer: https:/xxxxxxxx.xxx/compta/facture/card.php?facid=5228&action=valid
Gestionnaire de menu: eldy_menu.php

Modules/Applications: api, syslog, user, singlelogin, subtotal, secureuserfree, concatpdf, banque, propal, margin, resource, workflow, productbatch, stock, product, expedition, document, ficheinter, documentgeneration, loan, google, ovh, showprice, prelevement, expensereport, bankimport, ldap, split, datapolicy, fckeditor, webservices, geoipmaxmind, tax, supplier_proposal, blockedlog, formstyler, activite, timebasket, hrm, externalsite, recouvrement, mailing, supplierorderfromorder, dynamicprices, quickcustomerprice, categorie, quicksupplierprice, bookmark, timesheet, projet, clicktodial, abricot, contrat, accounting, agenda, cron, commande, ecm, advtargetemailing, facture, fournisseur, holiday, opensurvey, printing, salaries, societe, service, export, dolicalc, import
Type gestionnaire de base de données: mysqli
Requête dernier accès en base en erreur: UPDATE llx_facture SET ref=‹ AV1907-0152 ›, fk_statut = 1, fk_user_valid = 1, date_valid = ‹ 2019-07-03 16:21:00 › WHERE rowid = 5228
Code retour dernier accès en base en erreur: DB_ERROR_NOSUCHFIELD
Information sur le dernier accès en base en erreur: Unknown column ‹ facnumber › in ‹ NEW ›

merci de votre reponse

Il faut mettre à jour aussi les module pour la v10 car des champs de la base ont changes de nom dont le fac number devenu réf comme partout ailleurs

Bonjour merci pour ta réponse

par contre tu parle de quel module car lors de la mise a jours tous les modules par défaut sont a jours

dans l attente de ta réponse

Bonjour,
Je rebondis sur cette mise a jour.
De mon coté quand j’affiche la liste des factures clients je n’ai plus le numero de facture !!! donc impossible d’éditer
une facture
Pas de pb avec la liste de facture founisseurs

2019-07-0411_12_46-Window.png

Bonjour,

Je viens à l’instant de faire la mise à jour de 9.0.3 en 10.0.0 sur un serveur de test et j’ai constaté la même chose. Heureusement, la solution est simple. Tout à droite de la ligne horizontale avec les libellés des colonnes du tableau (Réf client, date facturation… etc.), après « État », cliquer sur le pictogramme représentant une liste, cocher « Réf » en haut de la liste, et voilà, problème réglé :happy:

1 J'aime

Merci, entre temps j’avais trouvé mais quand je regle une facture , j’ai une belle erreur 500:
[04-Jul-2019 17:04:08 Europe/Belgrade] PHP Fatal error: Uncaught InvalidArgumentException in E:\wwwroot\dev-dolibarr.vecteur-informatique.com\htdocs\alpiroc\core\modules\fonctions\function.php:46
Stack trace:
#0 E:\wwwroot\dev-dolibarr.vecteur-informatique.com\htdocs\alpiroc\core\modules\facture\doc\pdf_alpiroc_fact.modules.php(2366): pdfBuildThirdpartyNameAlpiroc(NULL, Object(Translate))
#1 E:\wwwroot\dev-dolibarr.vecteur-informatique.com\htdocs\alpiroc\core\modules\facture\doc\pdf_alpiroc_fact.modules.php(1871): pdf_alpiroc_fact->_pagehead_azur(Object(TCPDI), Object(Facture), 1, Object(Translate), NULL)
#2 E:\wwwroot\dev-dolibarr.vecteur-informatique.com\htdocs\alpiroc\core\modules\facture\doc\pdf_alpiroc_fact.modules.php(396): pdf_alpiroc_fact->_pagehead(Object(TCPDI), Object(Facture), 1, Object(Translate), NULL)
#3 E:\wwwroot\dev-dolibarr.vecteur-informatique.com\htdocs\core\class\commonobject.class.php(4575): pdf_alpiroc_fact->write_file(Object(Facture), Object(Translate), ‹  ›, 0, 0, 0, NULL)
#4 E:\wwwroot\dev-dolibarr.vecteur-informatique.com\htdocs\compta\fa in E:\wwwroot\dev-dolibarr.vecteur-informatique.com\htdocs\alpiroc\core\modules\fonctions\function.php on line 46

je me répond: pour alpiroc remplacer :

(substr(DOL_VERSION,0,1)>=« 4 »)
par:
((int) DOL_VERSION > 4)

Bonjour,

paracetamol

Les modifs pour Alpiroc sont à réaliser dans quel fichier/répertoire?

Cdlt
Thierry

je ne sais plus: j’ai utilisé text crawler https://www.google.fr/url?sa=t&rct=j&q=&esrc=s&source=web&cd=1&cad=rja&uact=8&ved=2ahUKEwihhJrK4KDjAhUpDWMBHUunAfwQFjAAegQIAhAB&url=https%3A%2F%2Fwww.digitalvolcano.co.uk%2Ftextcrawler.html&usg=AOvVaw2wyzO9H48s6tD2_G3wtnbX
pour chercher et remplacer dans tous les fichiers

1 J'aime

Bonjour,

Un grand merci à toi Paracetamol.

Grâce à toi, j’ai trouvé le souci avec Alpiroc.
Perso, étant sous Linux, j’ai utilisé la commande grep pour trouver tous les fichiers à corriger

Vu les heures de prises de tête que tu m’as évité, tu portes bien ton nom :lol:

Cdlt
Thierry

1 J'aime

Merci Thierry !

Bonjour,

il y a une fonction php dédiée à la comparaison de version:
version_compare ( string $version1 , string $version2 )

ça supporte les format classique type 4.12.3

bien à vous